﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;
using System.Windows.Threading;

namespace Game
{
  public partial class MainWindow:Window
   {
      int delay=2;      
      DispatcherTimer Timer1,Timer2;

      public MainWindow()
      {
         InitializeComponent();
      }      

      private void button1_Click(object sender, RoutedEventArgs e)
      {
         animation(image1.Margin.Left,image1.Margin.Top,image4.Margin.Left,image4.Margin.Top,image1);
         move1();
         move2();
         button1.Visibility=Visibility.Hidden;
      }

      void animation(double x, double y, double X, double Y, Image card)
      {
         ThicknessAnimation myanimation=new ThicknessAnimation(new Thickness(x,y,0,0),new Thickness(X,Y,0,0),
              TimeSpan.FromSeconds(delay));

         card.BeginAnimation(Image.MarginProperty, myanimation);
      }        
      void move1()
      {         
         Timer1=new System.Windows.Threading.DispatcherTimer();
         Timer1.Tick+=new EventHandler(Timer1_Tick);
         Timer1.Interval=new TimeSpan(0,0,delay);         
         Timer1.Start();
      }
      private void Timer1_Tick(object sender, EventArgs e)
      {
         Timer1.Stop();
         Timer1=null;
         animation(image2.Margin.Left,image2.Margin.Top,image5.Margin.Left,image5.Margin.Top,image2);        
      }

      void move2()
      {
         Timer2=new System.Windows.Threading.DispatcherTimer();
         Timer2.Tick+=new EventHandler(Timer2_Tick);
         Timer2.Interval=new TimeSpan(0,0,delay*2);
         Timer2.Start();
      }
      private void Timer2_Tick(object sender, EventArgs e)
      {
         Timer2.Stop();
         Timer2=null;
         animation(image3.Margin.Left,image3.Margin.Top,image6.Margin.Left,image6.Margin.Top,image3);
      }
   }
}